Subject: bug#51180: M-x emacs-lisp-byte-compile-and-load

From: <[email-masked]>
Date: Fri, 15 Oct 2021 00:48:11 +0200

Richard Stallman <[email-masked]> writes:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
> Is it worth having a function emacs-lisp-byte-compile-and-load?
> It surely is not used often.
> Does it simplify programs enough
> to outweigh the added complecity of defining and docuenting it?

I personally use it as an interactive command after making adjustments
to a .el file. And it even conveniently asks me if I want to save the
buffer, so I personally think it's nice.